$(function() {
	//** jCarousel for hosting banners
	$('.b-posters').jCarouselLite({
		circular: false,
		pagination: true
	});

	var timeout = setTimeout(scroll_carousel, 5000);

	function scroll_carousel() {
		if ($('.carousel_paginator a:last-child').hasClass('current')) {
			$('.carousel_paginator a:first-child').click();
		} else {
			$('.carousel_paginator a.current').next().click();
		}
	}

	$('.carousel_paginator a').click(function() {
		clearTimeout(timeout);

		timeout = setTimeout(scroll_carousel, 5000);
	});

	//** Host Unlim
	var $counters = $('.i-counter-buttons'),
		$count1erFields = $('.i-counter-buttons__field'),
		$counterPrice = $('.i-counter-buttons__price'),
		$unlimOrderButton = $('.b-hosting-plan__order-button'),
		price = $counterPrice.data('pricePerOne'),
		priceSiteRate = $counterPrice.data('pricesiterate'),
		needSyncCounters = 1, 
		tablePeriodItems = [],
		canOrderMin = !$unlimOrderButton.attr('disabled'), //    ,    
		$counterExtraFields;

	$counters.each(function(){
		var $counterButtons = $(this),
			$counterField = $('.i-counter-buttons__field', $counterButtons);

		$counterField.bind('keydown', function(e){
			return ((e.which > 47)&&(e.which < 58))
		}).blur(function(){
			var $this = $(this),
				curValue = $this.val();

			if (curValue > 10) $this.val(10);
			if (curValue < minSiteValue) $this.val(minSiteValue);

			curValue = $this.val();

			checkCounterLimit(curValue, needSyncCounters);
			updCurrentState(curValue, needSyncCounters);
		});

		checkCounterLimit($counterField.val());
		curValue = $counterField.val();
		updCounterPrice(curValue);

		$('.i-counter-buttons__increment, .i-counter-buttons__decrement', $counterButtons).click(function(){
			if ($(this).hasClass('b-counter-buttons__button_state_disabled')) return false;
			var $this = $(this),
				curValue = $counterField.val();

			curValue = $this.hasClass('i-counter-buttons__increment') ? ++curValue : --curValue;

			checkCounterLimit(curValue, needSyncCounters);
			$counterField.val(curValue);

			updCurrentState(curValue, needSyncCounters);

			return false;
		});

		function updCurrentState(curValue, needSyncCounters) {
			updCounterPrice(curValue);
		};

		function checkCounterLimit(curValue, needSyncCounters) {
			var $parent = needSyncCounters ? 'body' : $counterButtons;

			if (curValue <= minSiteValue )
				$('.i-counter-buttons__decrement', $parent).addClass('b-counter-buttons__button_state_disabled');
			else
				$('.i-counter-buttons__decrement', $parent).removeClass('b-counter-buttons__button_state_disabled');

			if (curValue > 9)
				$('.i-counter-buttons__increment', $parent).addClass('b-counter-buttons__button_state_disabled');
			else
				$('.i-counter-buttons__increment', $parent).removeClass('b-counter-buttons__button_state_disabled');
		};

		function updCounterPrice(curValue) {
			$counterPrice.html(format_price(priceSiteRate[curValue-1]));

			var currentRate = unlimPrices[curValue-1];
			$Price_1m = $('#descr_sites_full_1m');
			$Price_1mm = $('#descr_sites_1m');

			$Price_3m = $('#descr_sites_full_3m');
			$Price_3mm = $('#descr_sites_3m');

			$Price_6m = $('#descr_sites_full_6m');
			$Price_6mm = $('#descr_sites_6m');

			$Price_12m = $('#descr_sites_full_12m');
			$Price_12mm = $('#descr_sites_12m');

			$Price_18m = $('#descr_sites_full_18m');
			$Price_18mm = $('#descr_sites_18m');

			$Price_24m = $('#descr_sites_full_24m');
			$Price_24mm = $('#descr_sites_24m');

			$Price_36m = $('#descr_sites_full_36m');
			$Price_36mm = $('#descr_sites_36m');

			var tmp_3m = currentRate * 3;
			tmp_3m = tmp_3m - (tmp_3m * 0.05);
			tmp_3mm = currentRate - (currentRate * 0.05);

			var tmp_6m = currentRate * 6;
			tmp_6m = tmp_6m - (tmp_6m * 0.07);
			tmp_6mm = currentRate - (currentRate * 0.07);

			var tmp_12m = currentRate * 12;
			tmp_12m = tmp_12m - (tmp_12m * 0.10);
			tmp_12mm = currentRate - (currentRate * 0.10);

			var tmp_18m = currentRate * 18;
			tmp_18m = tmp_18m - (tmp_18m * 0.10);
			tmp_18mm = currentRate - (currentRate * 0.10);

			var tmp_24m = currentRate * 24;
			tmp_24m = tmp_24m - (tmp_24m * 0.15);
			tmp_24mm = currentRate - (currentRate * 0.15);

			var tmp_36m = currentRate * 36;
			tmp_36m = tmp_36m - (tmp_36m * 0.20);
			tmp_36mm = currentRate - (currentRate * 0.20);

			$Price_1m.html(format_price(currentRate));
			$Price_1mm.html(format_price(currentRate));

			$Price_3m.html(format_price(Math.round(tmp_3m)));
			$Price_3mm.html(format_price(Math.round(tmp_3mm)));

			$Price_6m.html(format_price(Math.round(tmp_6m)));
			$Price_6mm.html(format_price(Math.round(tmp_6mm)));

			$Price_12m.html(format_price(Math.round(tmp_12m)));
			$Price_12mm.html(format_price(Math.round(tmp_12mm)));

			$Price_18m.html(format_price(Math.round(tmp_18m)));
			$Price_18mm.html(format_price(Math.round(tmp_18mm)));

			$Price_24m.html(format_price(Math.round(tmp_24m)));
			$Price_24mm.html(format_price(Math.round(tmp_24mm)));

			$Price_36m.html(format_price(Math.round(tmp_36m)));
			$Price_36mm.html(format_price(Math.round(tmp_36mm)));
		};
	});
	//** /Host Unlim

});